//
// Copyright 2023 Vulcanize, Inc.
//

import 'reflect-metadata';
import debug from 'debug';

import { getResetYargs } from '@cerc-io/util';

const log = debug('vulcanize:reset');

const main = async () => {
  return getResetYargs()
    .commandDir('reset-cmds', { extensions: ['ts', 'js'], exclude: /([a-zA-Z0-9\s_\\.\-:])+(.d.ts)$/ })
    .demandCommand(1)
    .help()
    .argv;
};

main().then(() => {
  process.exit();
}).catch(err => {
  log(err);
});
